### 5.1.158 trace

`Syntax:`
  `trace (` intmat_expression `)`
  `trace (` matrix_expression `)`
`Type:`
  int, if the argument is an intmat, resp.
  poly, if the argument is a matrix
`Purpose:`
  returns the trace of an intmat, resp. matrix.
`Example:`

        intmat m[2][2]=1,2,3,4;
        print(m);
      ==>      1     2
      ==>      3     4
        trace(m);
      ==> 5

See intmat; matrix.

User manual for Singular version 4.4.1, 2025, generated by texi2html.